Subject: Re: [PATCH v6 net-next 01/14] pds_core: initial framework for pds_core PF driver

From: Jakub Kicinski <[email-masked]>
Date: Mon, 27 Mar 2023 17:43:47 -0700

On Sat, 25 Mar 2023 21:07:22 -0700 Shannon Nelson wrote:
> > Don't put core devlink functionality in a separate file.
> > You're not wrapping all pci_* calls in your own wrappers, why are you
> > wrapping delvink? And use explicit locking, please. devl_* APIs.  
> 
> Wrapping the devlink_register gives me the ability to abstract out the 
> bit of additional logic that gets added in a later patch, and now the 
> locking logic you mention, and is much like how other relatively current 
> drivers have done it, such as in ionic, ice, and mlx5.

What are you "abstracting away", exactly? Which "later patch"?
I'm not going to read the 5k LoC submission to figure out what 
you're trying to say :(